Debian Bug report logs - #510280
live-helper: installer on hdd image does not work

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Grigory Ivanov <grundik-com@grundik.spb.ru>

Date: Wed, 31 Dec 2008 01:57:02 UTC

Severity: normal

Found in version live-helper/1.0.2-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#510280; Package live-helper. (Wed, 31 Dec 2008 01:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Grigory Ivanov <grundik-com@grundik.spb.ru>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 31 Dec 2008 01:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Grigory Ivanov <grundik-com@grundik.spb.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: installer on hdd image does not work
Date: Wed, 31 Dec 2008 04:54:45 +0300
Package: live-helper
Version: 1.0.2-1
Severity: normal

Debian installer on generated hdd image fails to install debian system. 
Installer searches for installation files only on CD drives, but when it 
runs from USB stick there is no installation CD's in system. So it 
cannot find any file, even can't initialize network cards. 
System installation from such images are impossible.

-- Package-specific info:

-- System Information:
Debian Release: 5.0
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.3      Bootstrap a Debian system
ii  debootstrap                   1.0.10     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-4     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools     3.0.1-1                   utilities for making and checking 
ii  fakeroot       1.11                      Gives a fake root environment
ii  genext2fs      1.4.1-2.1                 ext2 filesystem generator for embe
ii  genisoimage    9:1.1.9-1                 Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny1             GRand Unified Bootloader (Legacy v
ii  memtest86+     2.01-1.1                  thorough real-mode memory tester
ii  mtools         3.9.11-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
ii  squashfs-tools 1:3.3-7                   Tool to create and append to squas
ii  sudo           1.6.9p17-1                Provide limited super user privile
ii  syslinux       2:3.71+dfsg-5             utilities for the syslinux bootloa
ii  uuid-runtime   1.41.3-1                  universally unique id library
ii  win32-loader   0.6.9                     Debian-Installer loader for win32

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#510280; Package live-helper. (Wed, 31 Dec 2008 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Lamb <lamby@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 31 Dec 2008 02:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 510280@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: Grigory Ivanov <grundik-com@grundik.spb.ru>
Cc: 510280@bugs.debian.org
Subject: Re: Bug#510280: live-helper: installer on hdd image does not work
Date: Wed, 31 Dec 2008 02:36:28 +0000
[Message part 1 (text/plain, inline)]
Grigory Ivanov wrote:

> Installer searches for installation files only on CD drives, but when it 
> runs from USB stick there is no installation CD's in system.

This is a known issue.

Fixing this bug requires modifying the Debian Installer to check "HDD"-like
block devices for Debian installation media. If you could report your
success with the patch posted to:

 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=498143

.. it would help.


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      lamby@debian.org
       `-
[signature.asc (application/pgp-signature, attachment)]

Blocking bugs of 510280 added: 498143 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 10 Jan 2009 20:39:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#510280; Package live-helper. (Tue, 20 Oct 2009 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 20 Oct 2009 18:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 510280@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 510280@bugs.debian.org
Subject: Re: live-helper: installer on hdd image does not work
Date: Tue, 20 Oct 2009 20:12:30 +0200
tag 510280 pending
thanks

15:50:26 < panthera> lamby: what's the status and ETA for #498143 ?
16:00:41 < lamby> panthera: All committed to d-i SVN, waiting for a
release.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Tue, 20 Oct 2009 18:21:06 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. (Sun, 08 Nov 2009 15:48:29 GMT) Full text and rfc822 format available.

Notification sent to Grigory Ivanov <grundik-com@grundik.spb.ru>:
Bug acknowledged by developer. (Sun, 08 Nov 2009 15:48:29 GMT) Full text and rfc822 format available.

Message #24 received at 510280-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 510280-done@bugs.debian.org
Subject: Re: live-helper: installer on hdd image does not work
Date: Sun, 08 Nov 2009 16:33:18 +0100
Otavio has uploaded new cdrom-detect, closing.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Dec 2009 07:38:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 20:03:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.